ConverterNotFoundException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.core.convert

## Class ConverterNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.core.convert.ConversionException
          - - org.springframework.core.convert.ConverterNotFoundException

- All Implemented Interfaces:
    Serializable

      public final class ConverterNotFoundException
      extends ConversionException

  Thrown when a suitable converter could not be found in a conversion service.
  Since:
    3.0
  Author:
    Keith Donald
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConverterNotFoundException(TypeDescriptor sourceType, TypeDescriptor targetType)` Creates a new conversion executor not found exception.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TypeDescriptor` | `getSourceType()` Returns the source type that was requested to convert from.
    `TypeDescriptor` | `getTargetType()` Returns the target type that was requested to convert to.

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConverterNotFoundException

          public ConverterNotFoundException(TypeDescriptor sourceType,
                                    TypeDescriptor targetType)

      Creates a new conversion executor not found exception.
      Parameters:
        `sourceType` - the source type requested to convert from
        `targetType` - the target type requested to convert to

  - ### Method Detail

    - #### getSourceType

          public TypeDescriptor getSourceType()

      Returns the source type that was requested to convert from.

    - #### getTargetType

          public TypeDescriptor getTargetType()

      Returns the target type that was requested to convert to.